Zum Hauptinhalt springen
PUT
/
data-studio
/
data-source
/
2026-09-beta
/
{datasourceId}
Update data source
curl --request PUT \
  --url https://api.hubapi.com/data-studio/data-source/2026-09-beta/{datasourceId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'bodyParts={
  "contentDisposition": {
    "creationDate": "2023-11-07T05:31:56Z",
    "fileName": "<string>",
    "modificationDate": "2023-11-07T05:31:56Z",
    "parameters": {},
    "readDate": "2023-11-07T05:31:56Z",
    "size": 123,
    "type": "<string>"
  },
  "entity": {},
  "headers": {},
  "mediaType": {
    "parameters": {},
    "subtype": "<string>",
    "type": "<string>",
    "wildcardSubtype": true,
    "wildcardType": true
  },
  "messageBodyWorkers": {},
  "parameterizedHeaders": {},
  "parent": {
    "bodyParts": "<array>",
    "contentDisposition": {
      "creationDate": "2023-11-07T05:31:56Z",
      "fileName": "<string>",
      "modificationDate": "2023-11-07T05:31:56Z",
      "parameters": {},
      "readDate": "2023-11-07T05:31:56Z",
      "size": 123,
      "type": "<string>"
    },
    "entity": {},
    "headers": {},
    "mediaType": {
      "parameters": {},
      "subtype": "<string>",
      "type": "<string>",
      "wildcardSubtype": true,
      "wildcardType": true
    },
    "messageBodyWorkers": {},
    "parameterizedHeaders": {},
    "parent": "<unknown>",
    "providers": {}
  },
  "providers": {}
}' \
  --form 'contentDisposition={
  "creationDate": "2023-11-07T05:31:56Z",
  "fileName": "<string>",
  "modificationDate": "2023-11-07T05:31:56Z",
  "parameters": {},
  "readDate": "2023-11-07T05:31:56Z",
  "size": 123,
  "type": "<string>"
}' \
  --form 'entity={}' \
  --form 'fields={}' \
  --form 'headers={}' \
  --form 'mediaType={
  "parameters": {},
  "subtype": "<string>",
  "type": "<string>",
  "wildcardSubtype": true,
  "wildcardType": true
}' \
  --form 'messageBodyWorkers={}' \
  --form 'parameterizedHeaders={}' \
  --form 'parent={
  "bodyParts": "<array>",
  "contentDisposition": {
    "creationDate": "2023-11-07T05:31:56Z",
    "fileName": "<string>",
    "modificationDate": "2023-11-07T05:31:56Z",
    "parameters": {},
    "readDate": "2023-11-07T05:31:56Z",
    "size": 123,
    "type": "<string>"
  },
  "entity": {},
  "headers": {},
  "mediaType": {
    "parameters": {},
    "subtype": "<string>",
    "type": "<string>",
    "wildcardSubtype": true,
    "wildcardType": true
  },
  "messageBodyWorkers": {},
  "parameterizedHeaders": {},
  "parent": "<unknown>",
  "providers": {}
}' \
  --form 'providers={}'
{
  "datasourceId": 123,
  "datasourceName": "<string>",
  "previewLink": "<string>"
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

datasourceId
integer<int64>
erforderlich

The ID of the datasource.

Body

multipart/form-data
bodyParts
object[]
erforderlich

An array of BodyPart objects, each representing a part of the multipart form data.

contentDisposition
object
erforderlich
entity
object
erforderlich

An object representing the entity of the multipart form data, containing the actual data to be processed.

fields
object
erforderlich

An object containing fields of the multipart form data, where each field can have multiple FormDataBodyPart items.

headers
object
erforderlich

An object containing headers associated with the multipart form data, where each header can have multiple string values.

mediaType
object
erforderlich
messageBodyWorkers
object
erforderlich

An object representing workers that process the message body of the multipart form data.

parameterizedHeaders
object
erforderlich

An object containing parameterized headers, where each header can have multiple ParameterizedHeader items.

parent
object
erforderlich
providers
object
erforderlich

An object representing providers associated with the multipart form data.

Antwort

successful operation

datasourceId
integer<int64>
erforderlich

The unique identifier for the data source. It is an integer formatted as int64.

datasourceName
string
erforderlich

The name of the data source. It is a string.

A URL string that provides a preview link for the data source.

Last modified on April 9, 2026